โรงแรม
Cancel a booking under its cancellation policy.
post/v1/hotels/bookings/{bookingId}/cancel
- ต้องยืนยันตัวตน
- ต้องมี Idempotency-Key
พารามิเตอร์
| ชื่อ | ตำแหน่ง | ชนิด | คำอธิบาย |
|---|---|---|---|
| bookingId* | พาธ | string |
การตอบกลับ
200OKHotelBooking
- bookingIdstring
- bookingReferencestringเป็น null ได้
- statusstring
confirmed | pending | cancelled | unknown.
- hotelCodestringเป็น null ได้
- hotelNamestringเป็น null ได้
- cityNamestringเป็น null ได้
- roomTypestringเป็น null ได้
- checkInstringเป็น null ได้
- checkOutstringเป็น null ได้
- Money
Money on the wire: decimal string (never a float) + ISO 4217.
- amountstring
- currencystring
- refundablebooleanเป็น null ได้
- priceChangedboolean
- HolderInfo
- firstNamestring
- lastNamestring
- emailstring
- phonestring
- BookingRoom[]
- Guest[]
- specialRequestsstringเป็น null ได้
- confirmedAtstring (date-time)เป็น null ได้
ตัวอย่างโค้ด
โปรแกรมสมบูรณ์ที่ลงนามคำขอแบบเดียวกับที่เกตเวย์ใช้ตรวจสอบ แทนที่ YOUR_KEY_ID และ YOUR_SECRET
# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'POST\n/v1/hotels/bookings/b216bGJ5bG1BMURGMVFadERnPT0/cancel\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')
curl -X POST "https://api.dubaitrip.com/v1/hotels/bookings/b216bGJ5bG1BMURGMVFadERnPT0/cancel" \
-H "X-API-Key: $KEY_ID" \
-H "X-Timestamp: $TS" \
-H "X-Nonce: $NONCE" \
-H "X-Signature: $SIG" \
-H "Idempotency-Key: $(uuidgen)" \
-H "Accept: application/json"